foomatic-db-engine_4.0.12-2+b1_i386.deb


Advertisement

Description

foomatic-db-engine - OpenPrinting printer support - programs

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename foomatic-db-engine_4.0.12-2+b1_i386.deb
Package name foomatic-db-engine
Package version 4.0.12
Package release 2+b1
Package architecture i386
Package type deb
Category hardware::printer role::program text use::driver use::printing
Homepage http://www.openprinting.org/
License -
Maintainer Debian Printing Group <debian-printing@lists.debian.org>
Download size 283.25 KB
Installed size 807.00 KB
Foomatic is a printing system designed to make it easier to set up
common printers for use with Debian (and other operating systems).
It provides the "glue" between a print spooler (like CUPS or lpr) and
your actual printer, by telling your computer how to process files
sent to the printer.
This package contains the architecture-dependent programs needed to
set up and maintain the foomatic system.  You will also need one or
more database packages.  The foomatic-db package includes drivers for
most common printers using Ghostscript as the print processor, as
well as some common glue code used in other filter systems.

Alternatives

Package Version Architecture Repository
foomatic-db-engine_4.0.12-2+b1_amd64.deb 4.0.12 amd64 Debian Main
foomatic-db-engine - - -

Requires

Name Value
bash >= 2.05
cups-filters >= 1.0.42
curl -
foomatic-filters >= 4.0
libc6 >= 2.7
libxml2 >= 2.7.4
perl -
wget -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package foomatic-db-engine_4.0.12-2+b1_i386.deb
Source Package foomatic-db-engine

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install foomatic-db-engine deb package:
    # sudo apt-get install foomatic-db-engine

Files

Path
/usr/bin/foomatic-combo-xml
/usr/bin/foomatic-compiledb
/usr/bin/foomatic-configure
/usr/bin/foomatic-datafile
/usr/bin/foomatic-perl-data
/usr/bin/foomatic-ppd-options
/usr/bin/foomatic-ppd-to-xml
/usr/bin/foomatic-ppdfile
/usr/bin/foomatic-printjob
/usr/bin/foomatic-searchprinter
/usr/lib/cups/driver/foomatic
/usr/sbin/foomatic-addpjloptions
/usr/sbin/foomatic-cleanupdrivers
/usr/sbin/foomatic-extract-text
/usr/sbin/foomatic-fix-xml
/usr/sbin/foomatic-getpjloptions
/usr/sbin/foomatic-kitload
/usr/sbin/foomatic-nonumericalids
/usr/sbin/foomatic-preferred-driver
/usr/sbin/foomatic-printermap-to-gutenprint-xml
/usr/sbin/foomatic-replaceoldprinterids
/usr/share/bug/foomatic-db-engine/presubj
/usr/share/cups/ppd-updaters/foomatic-db-engine
/usr/share/doc/foomatic-db-engine/Foomatic-Devel-Ideas.txt.gz
/usr/share/doc/foomatic-db-engine/README.Debian
/usr/share/doc/foomatic-db-engine/README.gz
/usr/share/doc/foomatic-db-engine/TODO
/usr/share/doc/foomatic-db-engine/TODO.Debian
/usr/share/doc/foomatic-db-engine/USAGE.gz
/usr/share/doc/foomatic-db-engine/changelog.Debian.gz
/usr/share/doc/foomatic-db-engine/changelog.Debian.i386.gz
/usr/share/doc/foomatic-db-engine/changelog.gz
/usr/share/doc/foomatic-db-engine/copyright
/usr/share/foomatic/templates/pjl_enum_choice.xml
/usr/share/foomatic/templates/pjl_enum_option.xml
/usr/share/foomatic/templates/pjl_num_option.xml
/usr/share/lintian/overrides/foomatic-db-engine
/usr/share/man/man1/foomatic-combo-xml.1.gz
/usr/share/man/man1/foomatic-compiledb.1.gz
/usr/share/man/man1/foomatic-configure.1.gz
/usr/share/man/man1/foomatic-datafile.1.gz
/usr/share/man/man1/foomatic-perl-data.1.gz
/usr/share/man/man1/foomatic-ppd-options.1.gz
/usr/share/man/man1/foomatic-ppdfile.1.gz
/usr/share/man/man1/foomatic-printjob.1.gz
/usr/share/man/man8/foomatic-addpjloptions.8.gz
/usr/share/man/man8/foomatic-getpjloptions.8.gz
/usr/share/man/man8/foomatic-kitload.8.gz
/usr/share/man/man8/foomatic-preferred-driver.8.gz
/usr/share/perl5/Foomatic/DB.pm
/usr/share/perl5/Foomatic/Defaults.pm
/usr/share/perl5/Foomatic/PPD.pm
/usr/share/perl5/Foomatic/UIElem.pm

Changelog

2015-06-18 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.12-2) unstable; urgency=medium
* Upload to unstable
* Wrap-and-sort debian/control
* Bump debhelper B-D to 9
* Bump Standards-Version to 3.9.6 without changes needed
2015-04-12 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.12-1) experimental; urgency=low
* New upstream release
- foomatic-ppdfile: Foomatic doesn't provide some offered PPD
files. Thanks to Marek Kasik for the patch (Upstream bug #1238).
- foomatic-ppd-to-xml.in: Let missing XML files be added when to a
PPD with already existing XML files new "*Product:" lines get
added.
2014-03-24 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.11-1) unstable; urgency=medium
[ Till Kamppeter ]
* New upstream release
- Do not interpret option default values set to "0" in PPD files as no
default setting defined.
2014-03-06 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.10-1) unstable; urgency=medium
* New upstream release
- Make foomatic-addpjloptions work with the system's Foomatic database,
too.
[ Till Kamppeter ]
* Fixed debian/watch to allow version number components with more than one
figure.
[ Didier Raboud ]
* Move the repository from collab-maint to printing; update the VCS-* fields
accordingly
* Append CPPFLAGS and LDFLAGS to CFLAGS, to enable full hardening
* Add patch to fix manpage warnings
2013-12-07 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.9-3) unstable; urgency=low
* Add cups-filters >= 1.0.42 as first alternative dependency to
foomatic-filters
* Bump Standards-Version to 3.9.5 without changes needed
* Bump debhelper compat to 9 to get auto buildflags
2013-05-17 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.9-2) unstable; urgency=low
* Upload to unstable
* Bump Standards-Version to 3.9.4 without changes needed
2013-03-11 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.9-1) experimental; urgency=low
[ Till Kamppeter ]
* New upstream release
- Error our with a decent message when no Foomatic database is present
(Closes: #627770).
* Demoted netcat from Recommends: to Suggests: (In Ubuntu it is only in
Universe).
2012-06-11 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.8-3) unstable; urgency=low
* Add patch to fix the path to netcat. (Closes: #676378)
* Bump Standards-Version to 3.9.3 without changes needed.
2011-08-18 - Till Kamppeter <till.kamppeter@gmail.com>
foomatic-db-engine (4.0.8-2ubuntu1) oneiric; urgency=low
* debian/rules: Install the PPD updater without executable bits (644), it
is not run by itself, but sourced into another script.
* debian/foomatic-db-engine.ppd-updater: Removed unneeded lines. The PPD
updaters are only include files for shellscripts, not scripts by themselves.
2011-08-18 - Didier Raboud <odyx@debian.org>
foomatic-db-engine (4.0.8-2) unstable; urgency=low
* Replace the PPD-updater postinst code by CUPS' trigger.
- Breaks against too old cups versions.
- Add a ppd-updater file, to trigger with parameters.

See Also

Package Description
foomatic-db-gutenprint_5.2.11-1_all.deb OpenPrinting printer support - database for Gutenprint printer drivers
foomatic-db_20161201-1_all.deb OpenPrinting printer support - database
foomatic-filters-beh_4.0.17-9_all.deb Openprinting Backend error handler
foomatic-filters_4.0.17-9_i386.deb OpenPrinting printer support - filters
fop-doc_2.1-6_all.deb XML formatter driven by XSL Formatting Objects (doc) - doc
fop_2.1-6_all.deb XML formatter driven by XSL Formatting Objects (XSL-FO.) - app
foremancli_1.0-2_all.deb commandline search interface to Foreman
foremost_1.5.7-6_i386.deb forensic program to recover lost files
forensic-artifacts_20161022-1_all.deb knowledge base of forensic artifacts (data files)
forensics-all_1.5_all.deb Debian Forensics Environment - essential components (metapackage)
forensics-colorize_1.1-2_i386.deb show differences between files using color graphics
forensics-extra-gui_1.8_all.deb Forensics Environment - extra GUI components (metapackage)
forensics-extra_1.8_all.deb Forensics Environment - extra console components (metapackage)
forensics-full_1.8_all.deb Full forensics station (metapackage)
forg_0.5.1-7.2_all.deb Graphical Gopher Browser
Advertisement
Advertisement